package ui.model;

import java.util.ArrayList;

import classes.CpsNode;

public class DecoratedState {
	int timestepOfState;
	ArrayList<DecoratedNetwork> networkList = new ArrayList<DecoratedNetwork>();
	ArrayList<DecoratedCable> leftOverEdges = new ArrayList<DecoratedCable>();
	ArrayList<DecoratedSwitch> decoratedSwitches = new ArrayList<DecoratedSwitch>();
	ArrayList<CpsNode> nodes = new ArrayList<CpsNode>();
	public DecoratedState(ArrayList<DecoratedNetwork> networkList, ArrayList<DecoratedCable> leftOverEdges, ArrayList<DecoratedSwitch> decoratedSwitches,ArrayList<CpsNode> nodes, int timestepOfState){
		this.networkList = networkList;
		this.leftOverEdges = leftOverEdges;
		this.decoratedSwitches = decoratedSwitches;
		this.nodes = nodes;
		this.timestepOfState = timestepOfState;
	}
	public ArrayList<DecoratedNetwork> getNetworkList() {
		return networkList;
	}
	public ArrayList<DecoratedCable> getLeftOverEdges() {
		return leftOverEdges;
	}
	public ArrayList<DecoratedSwitch> getDecoratedSwitches() {
		return decoratedSwitches;
	}
	public int getTimestepOfState() {
		return timestepOfState;
	}
	public ArrayList<CpsNode> getNodeList() {
		return nodes;
	}

}
