package ui.model;

import java.util.ArrayList;

import classes.AbstractCpsObject;
import classes.CpsEdge;
import classes.CpsNode;
import classes.HolonObject;
import classes.HolonSwitch;
import ui.model.DecoratedCable.CableState;


public class MinimumModel {
	private ArrayList<HolonObject> holonObjectList = new ArrayList<HolonObject>();
	private ArrayList<CableWithState> cableList = new ArrayList<CableWithState>();
	private ArrayList<CpsNode> nodeList = new ArrayList<CpsNode>();
	private ArrayList<HolonSwitch> switchList = new ArrayList<HolonSwitch>();
	
	public MinimumModel(ArrayList<AbstractCpsObject> abstractObjectList, ArrayList<CpsEdge> edgeList) {// Contructor because of old Model TODO:Replace the whole Program
		for (AbstractCpsObject aCps : abstractObjectList) {
			if (aCps instanceof HolonObject) holonObjectList.add((HolonObject) aCps);
			else if (aCps instanceof CpsNode) nodeList.add((CpsNode) aCps);
			else if (aCps instanceof HolonSwitch) switchList.add((HolonSwitch) aCps);
		}
		for (CpsEdge edge : edgeList) {
			this.cableList.add(new CableWithState(edge, CableState.Working));
		}
	}
	
	public ArrayList<HolonObject> getHolonObjectList() {
		return holonObjectList;
	}
	public void setHolonObjectList(ArrayList<HolonObject> holonObjectList) {
		this.holonObjectList = holonObjectList;
	}
	public ArrayList<CableWithState> getEdgeList() {
		return cableList;
	}
	public void setEdgeList(ArrayList<CableWithState> cableList) {
		this.cableList = cableList;
	}
	public ArrayList<CpsNode> getNodeList() {
		return nodeList;
	}
	public void setNodeList(ArrayList<CpsNode> nodeList) {
		this.nodeList = nodeList;
	}
	public ArrayList<HolonSwitch> getSwitchList() {
		return switchList;
	}
	public void setSwitchList(ArrayList<HolonSwitch> switchList) {
		this.switchList = switchList;
	}
	
}
